Skip to main content

Basic Report

GET: https://api.creditchek.africa/v1/credit/ke/metropol?nationalID=5392

Request Parameters​

NamePositionRequiredDescription
tokenHeadersTrueapp secret key
nationalIDqueryTrueuser national ID
Example Request
---
curl --location --request GET 'https://api.creditchek.africa/v1/credit/ke/metropol?nationalID=5392' \
--header 'token: {{token}}'
---
Response
{
"status": true,
"data": {
"_id": "636e768d8215a2e2fb06cfde",
"nationalID": "5392",
"fullName": "surname 5392 Othernames 5392",
"gender": "M",
"dateOfBirth": "1970-04-04T00:00:00-05:00",
"surname": "surname 5392",
"otherNames": "Othernames 5392",
"searchedDate": "2025-04-29T11:12:14.145Z",
"score": {
"account_info": [
{
"account_number": "XXXXXXX",
"account_status": "Closed",
"current_balance": "0.00000",
"date_opened": "YYYY-MM-DD",
"days_in_arrears": 0,
"delinquency_code": "003",
"highest_days_in_arrears": 0,
"is_your_account": false,
"last_payment_amount": "0.00000",
"last_payment_date": null,
"loaded_at": "YYYY-MM-DD",
"original_amount": "XXX.XX",
"overdue_balance": "0.00000",
"overdue_date": null,
"product_type_id": 7
}
],
"api_code": null,
"api_code_description": null,
"credit_score": 760,
"delinquency_code": "003",
"has_error": false,
"has_fraud": false,
"identity_number": "XXXXXXX",
"identity_type": "001",
"is_gurantor": false,
"lender_sector": {
"sector_bank": {
"account_npa": 0,
"account_performing": 21,
"account_performing_npa_history": 0
},
"sector_other": {
"account_npa": 0,
"account_performing": 0,
"account_performing_npa_history": 0
}
},
"no_of_bounced_cheques": {
"last_12_months": 0,
"last_3_months": 0,
"last_6_months": 0
},
"no_of_credit_applications": {
"last_12_months": 0,
"last_3_months": 0,
"last_6_months": 0
},
"no_of_enquiries": {
"last_12_months": 0,
"last_3_months": 0,
"last_6_months": 0
},
"ppi_analysis": {
"month": "YYYY-MM-DD",
"ppi": 8.023,
"ppi_rank": "M1"
},
"reported_name": [
"XXXXXXXX",
"XXXXXXXX",
"XXXXXXXX",
"XXXXXXXX",
"XXXXXXXX"
],
"verified_name": {
"first_name": "XXXXXXXX",
"other_name": "XXXXXXXX",
"surname": "XXXXXXXX"
}
}
},
"message": "Request successful",
"error": false
}